<div class="col-8 offset-2 mt-3">
  <h2 *ngIf="pageTitle">{{pageTitle}}</h2>
  <hr>
  <div class="profile-card text-center" *ngIf="user">
    <img src="{{url+'user/get-avatar/'+user.image}}" *ngIf="user.image" class="profile-image">
    <img src="{{url+'user/get-avatar/default-profile-picture.png'}}" *ngIf="!user.image" class="profile-image">
    <h4><span class="font-weight-bold text-info">Nombre: </span>{{user.name}}</h4>
    <h4><span class="font-weight-bold text-info">Apellidos: </span>{{user.surname}}</h4>
    <h4><span class="font-weight-bold text-info">E-mail: </span>{{user.email}}</h4>
    <h4><span class="font-weight-bold text-info">Nick: </span>{{user.nick}}</h4>
    <br>
    <button *ngIf="isContact==true && user.id!=identity.sub" class="btn btn-danger" (click)="deleteFollow(user.id)">Borrar contacto</button>
    <button *ngIf="isContact==false && user.id!=identity.sub" class="btn btn-primary" (click)="addFollow(user.id)">Añadir a contactos</button>
    <button *ngIf="user.id==identity.sub" [routerLink]="['/editar-usuario']" class="btn btn-primary">Editar Usuario</button>
    <button *ngIf="isContact==true" class="btn btn-success ml-4" (click)="showChat(user.id)">Ir a chat con {{user.name}}</button>
    <div class="col-8 mx-auto mt-2 text-center alert-dismissible fade show alert" [ngClass]="followMessage=='success'? 'alert-success':'alert-warning' " *ngIf="user.id==followId">
      {{followMessage}}
    </div>
  </div>
</div>
